oracle.adf.view.rich.component.rich.data

## Class RichTreeTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXCollection
        - - org.apache.myfaces.trinidad.component.UIXHierarchy
          - - org.apache.myfaces.trinidad.component.UIXTree
            - - org.apache.myfaces.trinidad.component.UIXTreeTable
              - - oracle.adf.view.rich.component.rich.data.PartialRichTreeTable
                - - oracle.adf.view.rich.component.rich.data.RichTreeTable

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, DragSourceFactory, org.apache.myfaces.trinidad.component.CollectionComponent, org.apache.myfaces.trinidad.model.LocalRowKeyIndex, org.apache.myfaces.trinidad.model.RowKeyIndex, org.apache.myfaces.trinidad.model.TreeLocalRowKeyIndex

      public class RichTreeTable
      extends PartialRichTreeTable
      implements DragSourceFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `org.apache.myfaces.trinidad.component.UIXCollection.ColumnFacetsOnlyVisitContext, org.apache.myfaces.trinidad.component.UIXCollection.NoColumnFacetsVisitContext`

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper`

    - ### Nested classes/interfaces inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `org.apache.myfaces.trinidad.model.LocalRowKeyIndex.Confidence, org.apache.myfaces.trinidad.model.LocalRowKeyIndex.LocalCachingStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISABLE_ROW_MOUSEDOWN_CELL_FOCUS_KEY` Private property key used to decide whether to disable cell focus upon row mousedown
    `static org.apache.myfaces.trinidad.bean.FacesBean.Type` | `TYPE`

    - ### Fields inherited from class oracle.adf.view.rich.component.rich.data.PartialRichTreeTable

      `ACTIVE_ROW_KEY_KEY, AUTO_HEIGHT_ROWS_KEY, BLOCK_ROW_NAVIGATION_ON_ERROR_ALWAYS, BLOCK_ROW_NAVIGATION_ON_ERROR_AUTO, BLOCK_ROW_NAVIGATION_ON_ERROR_KEY, BLOCK_ROW_NAVIGATION_ON_ERROR_NEVER, BODY_CONTEXT_MENU_FACET, BODY_CONTEXT_MENU_ID_KEY, CLEAR_TOKEN_CACHE_ON_PPR_KEY, CLIENT_ATTRIBUTES_KEY, CLIENT_COMPONENT_KEY, CLIENT_LISTENERS_KEY, COLUMN_BANDING_INTERVAL_KEY, COLUMN_RESIZING_DISABLED, COLUMN_RESIZING_ENABLED, COLUMN_RESIZING_KEY, COLUMN_SELECTION_KEY, COLUMN_SELECTION_LISTENER_KEY, COLUMN_SELECTION_MULTIPLE, COLUMN_SELECTION_NONE, COLUMN_SELECTION_SINGLE, COLUMN_STRETCHING_KEY, COMPONENT_FAMILY, COMPONENT_TYPE, CONTENT_DELIVERY_IMMEDIATE, CONTENT_DELIVERY_KEY, CONTENT_DELIVERY_LAZY, CONTENT_DELIVERY_WHEN_AVAILABLE, CONTEXT_MENU_FACET, CONTEXT_MENU_ID_KEY, CONTEXT_MENU_SELECT_KEY, CUSTOMIZATION_ID_KEY, DISABLE_COLUMN_REORDERING_KEY, DISPLAY_ROW_FIRST, DISPLAY_ROW_KEY, DISPLAY_ROW_KEY_KEY, DISPLAY_ROW_LAST, DISPLAY_ROW_SELECTED, EDITING_MODE_CLICK_TO_EDIT, EDITING_MODE_EDIT_ALL, EDITING_MODE_KEY, EDITING_MODE_READ_ONLY, EMPTY_TEXT_KEY, EXPAND_ALL_ENABLED_KEY, FETCH_SIZE_KEY, FOOTER_FACET, FREEZE_DIRECTION_END, FREEZE_DIRECTION_KEY, FREEZE_DIRECTION_START, HEADER_FACET, HORIZONTAL_GRID_VISIBLE_KEY, INLINE_STYLE_KEY, MAX_CLIENT_ROWS_KEY, NON_SCROLLABLE_ROWS_KEY, PARTIAL_TRIGGERS_KEY, PATH_STAMP_FACET, ROW_BANDING_INTERVAL_KEY, ROW_SELECTION_KEY, ROW_SELECTION_MULTIPLE, ROW_SELECTION_MULTIPLE_NO_SELECT_ALL, ROW_SELECTION_NONE, ROW_SELECTION_SINGLE, SCROLL_LEFT_KEY, SCROLL_POLICY_AUTO, SCROLL_POLICY_KEY, SCROLL_POLICY_PAGE, SCROLL_POLICY_SCROLL, SCROLL_POLICY_SCROLL_PREFETCH, SCROLL_TOP_KEY, SCROLL_TOP_ROW_KEY_KEY, SELECTION_EVENT_DELAY_DISABLED, SELECTION_EVENT_DELAY_ENABLED, SELECTION_EVENT_DELAY_KEY, SHORT_DESC_KEY, SKIP_PROCESS_ON_KEY, STYLE_CLASS_KEY, SUMMARY_KEY, UNSECURE_KEY, VERTICAL_GRID_VISIBLE_KEY, VISIBLE_KEY, WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXTreeTable

      `HEIGHT_KEY, RANGE_CHANGE_LISTENER_KEY, ROOT_NODE_RENDERED_KEY, ROWS_BY_DEPTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXTree

      `DISCLOSED_ROW_KEYS_KEY, FOCUS_LISTENER_KEY, FOCUS_ROW_KEY_KEY, IMMEDIATE_KEY, INITIALLY_EXPANDED_KEY, NODE_STAMP_FACET, ROW_DISCLOSURE_LISTENER_KEY, SELECTED_ROW_KEYS_KEY, SELECTION_LISTENER_KEY, VALUE_KEY, VAR_STATUS_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `VAR_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface oracle.adf.view.rich.dnd.DragSourceFactory

      `DEFAULT_DRAGSOURCE`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RichTreeTable()` Construct an instance of the RichTreeTable.
    `protected` | `RichTreeTable(String rendererType)` Construct an instance of the RichTreeTable.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `__decodeChildrenImpl(javax.faces.context.FacesContext context)`
    `void` | `__updateChildrenImpl(javax.faces.context.FacesContext context)`
    `void` | `__validateChildrenImpl(javax.faces.context.FacesContext context)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `DragSource` | `createDragSource(String name, Set<DnDAction> allowedActions, DnDAction defaultAction, String discriminant, javax.el.MethodExpression dragDropEndListener, Map<String,?> properties)` Returns the server DragSource, or `null` if no DragSource should be attached.
    `CharSequence` | `createDragSourceBehavior(String name, DragSource dragSource, Set<DnDAction> allowedActions, DnDAction defaultAction, String discriminant, javax.el.MethodExpression dragDropEndListener, Map<String,?> properties)` Returns the client DragSource initializer.
    `protected Map<String,Object>` | `createVarStatusMap()` Enhances the varStatusMap created by the super class to override the way 'hierarchicalIndex' and 'hierarchicalLabel' are calculated during export.
    `protected org.apache.myfaces.trinidad.bean.FacesBean.Type` | `getBeanType()`
    `Collection<String>` | `getSelectedColumns()` Returns selected child columns by clientId.
    `boolean` | `invokeOnComponent(javax.faces.context.FacesContext facesContext, String clientId, javax.faces.component.ContextCallback callback)`
    `boolean` | `isDisableRowMouseDownCellFocus()`
    `protected boolean` | `isSingleRooted()` Trinidad TreeTable only supports single rooted hierarchies Override to allow visitTree to work correctly on RichTreeTable.
    `void` | `setDisableRowMouseDownCellFocus(boolean disableRowMouseDownCellFocus)`
    `protected Object` | `setupELVariable(javax.faces.context.FacesContext context, String name, Object value)`
    `protected boolean` | `visitChildren(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback)`
    `protected boolean` | `visitUnstampedFacets(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback)`

    - ### Methods inherited from class oracle.adf.view.rich.component.rich.data.PartialRichTreeTable

      `addClientBehavior, addColumnSelectionListener, getActiveRowKey, getAutoHeightRows, getBlockRowNavigationOnError, getBodyContextMenu, getBodyContextMenuId, getClientAttributes, getClientBehaviors, getClientListeners, getColumnBandingInterval, getColumnResizing, getColumnSelection, getColumnSelectionListener, getColumnSelectionListeners, getColumnStretching, getContentDelivery, getContextMenu, getContextMenuId, getCustomizationId, getDefaultEventName, getDisplayRow, getDisplayRowKey, getEditingMode, getEmptyText, getEventNames, getFamily, getFetchSize, getFooter, getFreezeDirection, getHeader, getInlineStyle, getMaxClientRows, getNonScrollableRows, getPartialTriggers, getPathStamp, getRowBandingInterval, getRowSelection, getScrollLeft, getScrollPolicy, getScrollTop, getScrollTopRowKey, getSelectionEventDelay, getShortDesc, getSkipProcessOn, getStyleClass, getSummary, getUnsecure, getWidth, isClearTokenCacheOnPPR, isClientComponent, isContextMenuSelect, isDisableColumnReordering, isExpandAllEnabled, isHorizontalGridVisible, isVerticalGridVisible, isVisible, removeColumnSelectionListener, setActiveRowKey, setAutoHeightRows, setBlockRowNavigationOnError, setBodyContextMenu, setBodyContextMenuId, setClearTokenCacheOnPPR, setClientAttributes, setClientComponent, setClientListeners, setColumnBandingInterval, setColumnResizing, setColumnSelection, setColumnSelectionListener, setColumnStretching, setContentDelivery, setContextMenu, setContextMenuId, setContextMenuSelect, setCustomizationId, setDisableColumnReordering, setDisplayRow, setDisplayRowKey, setEditingMode, setEmptyText, setExpandAllEnabled, setFetchSize, setFooter, setFreezeDirection, setHeader, setHorizontalGridVisible, setInlineStyle, setMaxClientRows, setNonScrollableRows, setPartialTriggers, setPathStamp, setRowBandingInterval, setRowSelection, setScrollLeft, setScrollPolicy, setScrollTop, setScrollTopRowKey, setSelectionEventDelay, setShortDesc, setSkipProcessOn, setStyleClass, setSummary, setUnsecure, setVerticalGridVisible, setVisible, setWidth`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXTreeTable

      `__encodeBegin, addRangeChangeListener, decode, getContainerClientId, getFirst, getHeight, getRangeChangeListener, getRangeChangeListeners, getRows, getRowsByDepth, getStamps, isRootNodeRendered, processFacetsAndChildren, processUpdates, processValidators, removeRangeChangeListener, restoreStampState, restoreState, saveStampState, saveState, setFirst, setHeight, setRangeChangeListener, setRangeChangeListener, setRootNodeRendered, setRowsByDepth, setupVisitingContext, tearDownVisitingContext, visitData`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXTree

      `addFocusListener, addRowDisclosureListener, addSelectionListener, createCollectionModel, createFacesBean, getDisclosedRowKeys, getFocusListener, getFocusListeners, getFocusRowKey, getNodeStamp, getRowDisclosureListener, getRowDisclosureListeners, getSelectedRowKeys, getSelectionListener, getSelectionListeners, getValue, getVarStatus, isImmediate, isInitiallyExpanded, postCreateCollectionModel, queueEvent, removeFocusListener, removeRowDisclosureListener, removeSelectionListener, setDisclosedRowKeys, setFocusListener, setFocusRowKey, setImmediate, setInitiallyExpanded, setNodeStamp, setRowDisclosureListener, setRowDisclosureListener, setSelectedRowKeys, setSelectionListener, setSelectionListener, setValue, setVarStatus`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXHierarchy

      `areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, enterContainer, exitContainer, getAllAncestorContainerRowKeys, getContainerRowKey, getContainerRowKey, getDepth, getDepth, getTreeModel, isChildCollectionLocallyAvailable, isChildCollectionLocallyAvailable, isChildCollectionLocallyAvailable, isContainer, isContainerEmpty, visitHierarchy, visitLevel`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearCurrencyStringCache, clearLocalCache, decodeChildrenImpl, defaultVisitChildren, encodeBegin, encodeEnd, ensureRowsAvailable, getCachingStrategy, getClientRowKey, getClientRowKeyManager, getCollectionModel, getCollectionModel, getContainerClientId, getCurrencyString, getEstimatedRowCount, getEstimatedRowCountConfidence, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, getSortCriteria, getVar, isRowAvailable, isRowAvailable, isRowAvailable, isRowLocallyAvailable, isRowLocallyAvailable, isSortable, newNoColumnFacetsVisitContext, postRowDataChange, preRowDataChange, processComponent, processDecodes, processEvent, processFlattenedChildrenBegin, processRestoreState, processSaveState, resetStampState, setClientRowKey, setCurrencyString, setRowIndex, setRowKey, setSortCriteria, setVar, updateChildrenImpl, validateChildrenImpl, visitChildrenWithoutIterating, visitStampedColumnFacets`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, decodeChildren, encodeChildren, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, satisfiesPartialTrigger, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, validateChildren`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, visitAllChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.component.CollectionComponent

      `getVar`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.RowKeyIndex

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, isRowAvailable, isRowAvailable, isRowAvailable, setRowIndex, setRowKey`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearLocalCache, getCachingStrategy, getEstimatedRowCount, getEstimatedRowCountConfidence, isRowLocallyAvailable, isRowLocallyAvailable`

- - ### Field Detail

    - #### TYPE

          public static final org.apache.myfaces.trinidad.bean.FacesBean.Type TYPE

    - #### DISABLE_ROW_MOUSEDOWN_CELL_FOCUS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISABLE_ROW_MOUSEDOWN_CELL_FOCUS_KEY

      Private property key used to decide whether to disable cell focus upon row mousedown

  - ### Constructor Detail

    - #### RichTreeTable

          public RichTreeTable()

      Construct an instance of the RichTreeTable.

    - #### RichTreeTable

          protected RichTreeTable(String rendererType)

      Construct an instance of the RichTreeTable.
      Parameters:
        `rendererType` - The type of renderer

  - ### Method Detail

    - #### getBeanType

          protected org.apache.myfaces.trinidad.bean.FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `PartialRichTreeTable`

    - #### createVarStatusMap

          protected Map<String,Object> createVarStatusMap()

      Enhances the varStatusMap created by the super class to override the way 'hierarchicalIndex' and 'hierarchicalLabel' are calculated during export.
      Overrides:
        `createVarStatusMap` in class `org.apache.myfaces.trinidad.component.UIXHierarchy`

    - #### setupELVariable

          protected Object setupELVariable(javax.faces.context.FacesContext context,
                                           String name,
                                           Object value)

      Overrides:
        `setupELVariable` in class `org.apache.myfaces.trinidad.component.UIXCollection`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.apache.myfaces.trinidad.component.UIXTreeTable`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### __decodeChildrenImpl

          public void __decodeChildrenImpl(javax.faces.context.FacesContext context)

    - #### __validateChildrenImpl

          public void __validateChildrenImpl(javax.faces.context.FacesContext context)

    - #### __updateChildrenImpl

          public void __updateChildrenImpl(javax.faces.context.FacesContext context)

    - #### createDragSource

          public DragSource createDragSource(String name,
                                             Set<DnDAction> allowedActions,
                                             DnDAction defaultAction,
                                             String discriminant,
                                             javax.el.MethodExpression dragDropEndListener,
                                             Map<String,?> properties)

      Description copied from interface: `DragSourceFactory`
      Returns the server DragSource, or `null` if no DragSource should be attached.
      Specified by:
        `createDragSource` in interface `DragSourceFactory`
      Parameters:
        `name` - refers to a named DragSource; "default" refers to the default DragSource
        `allowedActions` - Set of `DnDAction` supported by the DragSource.
        `defaultAction` - Default drag and drop action supported by this drag source
        `discriminant` - The discriminant for the default DataFlavors generated by this drag source.
        `dragDropEndListener` - A method reference to an event of the signature `void method(DropEvent)` that is invoked after the drag drop operation ends.
        `properties` - allows for additional properties in the future
      Returns:
        DragSource

    - #### createDragSourceBehavior

          public CharSequence createDragSourceBehavior(String name,
                                                       DragSource dragSource,
                                                       Set<DnDAction> allowedActions,
                                                       DnDAction defaultAction,
                                                       String discriminant,
                                                       javax.el.MethodExpression dragDropEndListener,
                                                       Map<String,?> properties)

      Description copied from interface: `DragSourceFactory`
      Returns the client DragSource initializer.
      Specified by:
        `createDragSourceBehavior` in interface `DragSourceFactory`
      Parameters:
        `name` - refers to a named DragSource; "default" refers to the default DragSource
        `dragSource` - DragSource to create clientDragSource initializer for.
        `allowedActions` - Set of `DnDAction` supported by the DragSource.
        `defaultAction` - Default drag and drop action supported by this drag source
        `discriminant` - The discriminant for the default DataFlavors generated by this drag source.
        `dragDropEndListener` - A method reference to an event of the signature `void method(DropEvent)` that is invoked after the drag drop operation ends.
        `properties` - allows for additional properties in the future
      Returns:
        CharSequence

    - #### getSelectedColumns

          public Collection<String> getSelectedColumns()

      Returns selected child columns by clientId. Does not check for visibility/rendered attributes. Recurses into column groups
      Returns:
        selected column client IDs

    - #### isSingleRooted

          protected boolean isSingleRooted()

      Trinidad TreeTable only supports single rooted hierarchies Override to allow visitTree to work correctly on RichTreeTable. Otherwise only the first root node and its subtree will be visited.
      Overrides:
        `isSingleRooted` in class `org.apache.myfaces.trinidad.component.UIXTreeTable`

    - #### visitChildren

          protected boolean visitChildren(javax.faces.component.visit.VisitContext visitContext,
                                          javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `visitChildren` in class `org.apache.myfaces.trinidad.component.UIXTreeTable`

    - #### visitUnstampedFacets

          protected boolean visitUnstampedFacets(javax.faces.component.visit.VisitContext visitContext,
                                                 javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `visitUnstampedFacets` in class `org.apache.myfaces.trinidad.component.UIXTreeTable`

    - #### invokeOnComponent

          public boolean invokeOnComponent(javax.faces.context.FacesContext facesContext,
                                           String clientId,
                                           javax.faces.component.ContextCallback callback)
                                    throws javax.faces.FacesException

      Overrides:
        `invokeOnComponent` in class `org.apache.myfaces.trinidad.component.UIXCollection`
      Throws:
        `javax.faces.FacesException`

    - #### isDisableRowMouseDownCellFocus

          public final boolean isDisableRowMouseDownCellFocus()

    - #### setDisableRowMouseDownCellFocus

          public final void setDisableRowMouseDownCellFocus(boolean disableRowMouseDownCellFocus)

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.